Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class XPathQueryResult

    java.lang.Object
      org.modeshape.jcr.query.JcrQueryResult
          org.modeshape.jcr.query.XPathQueryResult

All Implemented Interfaces:
  QueryResult

    public class XPathQueryResult

extends JcrQueryResult

`QueryResult` implementation for XPath results.

Nested Class Summary
`protected static class` | `XPathQueryResult.XPathQueryResultRow`
`protected static class` | `XPathQueryResult.XPathQueryResultRowIterator`

Nested classes/interfaces inherited from class org.modeshape.jcr.query.JcrQueryResult
`JcrQueryResult.MultiSelectorQueryResultRow, JcrQueryResult.QueryResultNodeIterator, JcrQueryResult.QueryResultRowIterator, JcrQueryResult.SingleSelectorQueryResultRow, JcrQueryResult.SingleSelectorQueryResultRowIterator`

Field Summary
`static String` | `JCR_PATH_COLUMN_NAME`
`static String` | `JCR_PATH_COLUMN_TYPE`
`static String` | `JCR_SCORE_COLUMN_NAME`
`static String` | `JCR_SCORE_COLUMN_TYPE`

Fields inherited from class org.modeshape.jcr.query.JcrQueryResult
`context, JCR_NAME_COLUMN_NAME, MODE_DEPTH_COLUMN_NAME, MODE_LOCALNAME_COLUMN_NAME, PSEUDO_COLUMNS, queryStatement, results, schemata`

Constructor Summary
`XPathQueryResult(JcrQueryContext context, String query, QueryResults graphResults, Schemata schemata)`

Method Summary
`List<String>` | `getColumnNameList()`
`List<String>` | `getColumnTypeList()`
`RowIterator` | `getRows()`

Methods inherited from class org.modeshape.jcr.query.JcrQueryResult
`getColumnNames, getColumnTypes, getNodes, getPlan, getSelectorNames, results, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JCR_SCORE_COLUMN_NAME

    public static final String JCR_SCORE_COLUMN_NAME

See Also:
  Constant Field Values

### JCR_PATH_COLUMN_NAME

    public static final String JCR_PATH_COLUMN_NAME

See Also:
  Constant Field Values

### JCR_SCORE_COLUMN_TYPE

    public static final String JCR_SCORE_COLUMN_TYPE

### JCR_PATH_COLUMN_TYPE

    public static final String JCR_PATH_COLUMN_TYPE

Constructor Detail

### XPathQueryResult

    public XPathQueryResult(JcrQueryContext context,
                            String query,
                            QueryResults graphResults,
                            Schemata schemata)

Method Detail

### getColumnNameList

    public List<String> getColumnNameList()

  Overrides:
    `getColumnNameList` in class `JcrQueryResult`
  See Also:
    `JcrQueryResult.getColumnNameList()`

### getColumnTypeList

    public List<String> getColumnTypeList()

  Overrides:
    `getColumnTypeList` in class `JcrQueryResult`
  See Also:
    `JcrQueryResult.getColumnTypeList()`

### getRows

    public RowIterator getRows()

  Specified by:
    `getRows` in interface `QueryResult`
  Overrides:
    `getRows` in class `JcrQueryResult`
  See Also:
    `JcrQueryResult.getRows()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.